@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

a {
	text-decoration-line: none;
}

body .is-layout-flow > * + * {
    margin-block-start: 2px;
}

.article p {
    margin-bottom: 5px;
}

.content.cf{
	margin-top:0px;
}
.date-tags {
    margin-bottom: 0px;
}

.entry-content{
	padding-top:18px;
}

.entry-content.cf{
	padding-top:0px;
	margin-top:0px;
}

.main{
	padding-top:0px;
	padding-bottom:0px;
	border: none;
}


/*おすすめカードの幅を指定 */
.widget-entry-cards.large-thumb-on .e-card {
    width: 270px;
}

/* おすすめカードの装飾 */
.widget-entry-cards.large-thumb-on .e-card {
	color: #fff; /*文字色*/
	font-size: 18px; /*文字サイズ*/
	font-weight:bold; /*太字*/
	letter-spacing:0.5px; /*余白*/
	text-decoration: none;
	line-height: 1.4;
	text-shadow: 0 0 10px rgba(0,0,0,0.8); /*文字の影*/
}

/* 固定ページ 上部 カバーを全幅化 */
.entry-content .wp-block-cover,
.entry-content .wp-block-cover-image {
/*  margin: 0 calc(50% - 70vw) 1.5em; */
margin: 0 calc(50% - 70vw + 250px) 1.5em;
  min-height: 600px;
  width: auto;
}

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/

/*1700px以下*/
@media screen and (max-width: 1700px){
  /*必要ならばここにコードを書く*/
	/*トップページだけにヘッダー画像を入れる*/
	
/* 固定ページ 上部 カバーを全幅化 */
.entry-content .wp-block-cover,
.entry-content .wp-block-cover-image {
margin: 0 calc(50% - 60vw) 1.5em;
  width: auto;
	
}
	
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
	/*トップページだけにヘッダー画像を入れる*/
	/*cover*/
	div.wp-block-cover.alignfull{
		max-width: inherit;
		margin-left: 0;
    	margin-right: 0;
	}
	
	div.wp-block-cover.is-light{
		max-width: inherit;
		margin-left: 0;
    	margin-right: 0;
	}
	
	p.has-text-align-center.has-large-font-size{
		font-size: 32px  !important;
	}
	p.has-text-align-center.has-white-color.has-text-color.has-large-font-size{
		font-size: 32px  !important;
	}

/*メディアカバー*/
	p.has-text-align-center.has-white-color.has-text-color{
		font-size: 24px !important;
	}
}


/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
	/*cover*/
	div.wp-block-cover.alignfull{
		max-width: inherit;
		margin-left: 0;
    	margin-right: 0;
	}
	
	div.wp-block-cover.is-light{
		max-width: inherit;
		margin-left: 0;
    	margin-right: 0;
	}
	
	p.has-text-align-center.has-large-font-size{
		font-size: 32px  !important;
	}
	p.has-text-align-center.has-white-color.has-text-color.has-large-font-size{
		font-size: 32px  !important;
	}

/*メディアカバー*/
	p.has-text-align-center.has-white-color.has-text-color{
		font-size: 24px !important;
	}
}

/*480px以下*/
@media screen and (max-width: 480px) {	
/*cover*/
	div.wp-block-cover.alignfull{
		max-width: inherit;
		margin-left: 0;
    	margin-right: 0;
	}
	
	div.wp-block-cover.is-light{
		max-width: inherit;
		margin-left: 0;
    	margin-right: 0;
	}
	
	p.has-text-align-center.has-large-font-size{
		font-size: 26px  !important;
	}
	p.has-text-align-center.has-white-color.has-text-color.has-large-font-size{
		font-size: 26px  !important;
	}

/*メディアカバー*/
	p.has-text-align-center.has-white-color.has-text-color{
		font-size: 16px !important;
	}
	
  /* モバイル向けにフォントサイズとパディングを最適化 */
  .wp-block-table {
    font-size: 16px; 
	width: 100%;
  }

  table {
    width: 100%; /* テーブル幅は常に100%に */
	
    table-layout: auto; /* 列幅を固定してデザインを保つ */
  }

  table td {
    padding: 0.3em;
    word-wrap: break-word;
    word-break: break-word;
  }

	
/*テンプレート_問い合わせ*/
  /* テーブル自体を縮小してスマホに対応 */
  table.alignright {
    display: inline-block;
  }
	
  /* 各セルやコンテンツの幅を相対的に調整 */
  table.alignright td {
    text-align: center;
    vertical-align: middle;
    overflow: hidden; /* 見切れ防止 */
  }
	
/* 	.template-box tbody td span,
    .template-box tbody td strong {
        font-size: 50%;
    } */

	.template-box tbody td span[style*="font-size: 24px"] {
        font-size: 16px !important; 
    }
	
	.template-box tbody td span[style*="font-size: 16px"] {
        font-size: 14px !important; 
    }
	
	.template-box tbody td span[style*="font-size: 14px"] {
        font-size: 12px !important; 
    }
	
    .template-box tbody td span[style*="font-size: 32px"] {
        font-size: 16px !important; 
    }

/*footer logo*/
	img.site-logo-image.footer-site-logo-image {
		height: auto;
	}

/*button*/
	.go-to-top {
	  left: 85%;
	}
	
/*フォーム*/
	div.c-form__item{
		padding-left: 0px;
	}
	
	span.c-form__required{
		font-size: 8px;
		padding: 8px 8px;
	}
	
	label.c-form__label,
	.c-form__input{
		font-size: 16px;
		margin-left: 0px;
	}
}